# SPDX-License-Identifier: BSD-3-Clause
---
- name: Manage ethernet parameters
  hosts: all
  tasks:
    - name: Configure ethernet parameters
      include_role:
        name: linux-system-roles.network
      vars:
        network_connections:
          - name: "{{ network_interface_name1 }}"
            state: up
            type: ethernet
            ip:
              dhcp4: false
              auto6: false
            ethtool:
              features:
                gro: false
                gso: true
                tx_sctp_segmentation: false
